Subject: bug#66098: Crash in itree.c on macOS with incomplete backtrace

From: Robert Pluim <[email-masked]>
Date: Fri, 22 Sep 2023 14:46:31 +0200

>>>>> On Fri, 22 Sep 2023 15:36:22 +0300, Eli Zaretskii <[email-masked]> said:

    >> From: Stefan Kangas <[email-masked]>
    >> Date: Fri, 22 Sep 2023 03:51:33 -0700
    >> Cc: [email-masked]
    >> 
    >> Eli Zaretskii <[email-masked]> writes:
    >> 
    >> >> From: Stefan Kangas <[email-masked]>
    >> >> Date: Tue, 19 Sep 2023 01:47:41 -0700
    >> >>
    >> >> After rebuilding from master yesterday, I've started seeing frequent
    >> >> crashes (several times a day) on macOS.
    >> >
    >> > When was your previous build done, and with what HEAD commit?
    >> 
    >> I think I lost that information when I rebuilt, unless we save it
    >> automatically somewhere.

    Eli> Does "git reflog" help?

This is why we have the numbered emacs builds in 'src/', no? Of
course that wonʼt help if you clean before building.

Robert
--